package TryFX;

import javafx.application.*;
import javafx.scene.*;
import javafx.scene.canvas.*;
import javafx.scene.paint.*;
import javafx.scene.shape.*;
import javafx.stage.*;



public class TryFX extends Application {

	public void start(Stage stage){
		stage.setTitle("Sample Program");
		stage.setWidth(800);
		stage.setHeight(600);
		
		Canvas canvas = new Canvas(800, 600);
		GraphicsContext g = canvas.getGraphicsContext2D();
		g.setLineWidth(1.0);
		g.setStroke(Color.rgb(0,0, 255));
		g.strokeLine(2, 1, 798, 1);
		g.strokeLine(2, 1, 2, 568);
		g.strokeLine(798, 1, 798, 568);
		g.strokeLine(2, 568, 798, 568);

		g.setFill(Color.rgb(255, 255, 0));
		g.fillOval(10, 10, 760, 540);

		g.setFill(Color.rgb(0, 255, 0));
		g.fillRect(200, 150, 380, 259);

		Group root = new Group();
		root.getChildren().add(canvas);

		stage.setScene(new Scene(root));
		stage.show();
	}

}
